Package bitel.billing.server.call.bean

# Class LoginManager

java.lang.Object
bitel.billing.server.call.bean.LoginManager

Direct Known Subclasses:
  `DialUpLoginManager`, `VoiceIpLoginManager`

    public abstract class LoginManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected int` | `mid` |
  `protected java.lang.String` | `tableName` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LoginManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract Login` | `addLogin​(Login login, Preferences moduleSetup)` |
  `abstract java.lang.String` | `checkAliases​(Login login, java.util.Set<java.lang.String> aliases)` |
  `java.lang.String` | `checkConflictAliases​(Login login, java.util.Set<java.lang.String> aliases)` |
  `java.lang.String` | `checkLogin​(Login login)` |
  `java.lang.String` | `checkLoginAvailable​(Preferences moduleSetup)` |
  `void` | `deleteLogin​(int id)` |
  `protected abstract void` | `doSpecificWrapActions​(int newLoginId, java.util.Date dateOpen, java.util.Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier)` |
  `void` | `freeResources()` |
  `java.util.List<Login>` | `getContractLogins​(int cid)` |
  `java.lang.String` | `getLoginAliases​(int lid)` |
  `Login` | `getLoginById​(int id)` |
  `Login` | `getLoginByID​(int id)` | Deprecated.
  `protected abstract Login` | `getLoginFromResultSet​(java.sql.ResultSet rs)` |
  `static LoginManager` | `getLoginManager​(java.lang.String module, java.sql.Connection con, int mid)` |
  `java.lang.String` | `getLoginTitle​(int lid)` |
  `boolean` | `hasActiveSessions​(int loginId)` | Проверка наличия активных сессий логина.
  `java.util.Map<java.lang.String,​java.util.List<java.lang.String[]>>` | `loadAVPPairs​(Login login)` |
  `void` | `loginsList​(org.w3c.dom.Element logins, int cid)` |
  `void` | `loginsList​(org.w3c.dom.Element logins, int cid, java.util.Date dateFrom, java.util.Date dateTo)` |
  `void` | `moveLogin​(Login login, int cidFrom, int cidTo, int objectTo, int userId)` | Полный перенос логина на другой договор.
  `protected abstract void` | `moveLoginData​(Login login, int cidFrom, int cidTo)` | Перенос наработки логина при его полном переносе.
  `abstract void` | `recalcAfterMove​(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo)` | После выполненя различных переносов логинов - переустановка балансов в договорах.
  `void` | `updateAliases​(int lid, java.util.Set<java.lang.String> aliases)` |
  `void` | `updateAttributes​(int lid, java.util.List<java.lang.String[]> attributes)` |
  `abstract void` | `updateLogin​(Login login)` |
  `void` | `updatePassword​(int lid, java.lang.String pswd, int userId)` |
  `void` | `wrapLogin​(Login login, int cidTo, int objectTo, java.util.Date dateClose, java.util.Date dateOpen, int userId)` | Перенос логина на другой договор с определенной даты (разрыв логина).
  `protected abstract void` | `wrapLoginData​(Login loginFrom, Login loginTo)` | Перенос наработки логина при его переносе с новой даты.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected java.sql.Connection con

  - ### tableName

    protected java.lang.String tableName

  - ### mid

    protected int mid

- ## Constructor Details

  - ### LoginManager

    public LoginManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getLoginManager

    public static LoginManager getLoginManager​(java.lang.String module, java.sql.Connection con, int mid)

  - ### deleteLogin

    public void deleteLogin​(int id)

  - ### getLoginById

    public Login getLoginById​(int id)

  - ### getLoginByID

    @Deprecated public Login getLoginByID​(int id)
    Deprecated.
    Использовать `getLoginById(int)`.
    Parameters:
      `id` -
    Returns:

  - ### moveLogin

    public void moveLogin​(Login login, int cidFrom, int cidTo, int objectTo, int userId) throws ru.bitel.bgbilling.common.BGException
    Полный перенос логина на другой договор.
    Parameters:
      `lid` -
      `cidFrom` -
      `cidTo` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### wrapLogin

    public void wrapLogin​(Login login, int cidTo, int objectTo, java.util.Date dateClose, java.util.Date dateOpen, int userId) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Перенос логина на другой договор с определенной даты (разрыв логина).
    Parameters:
      `login` -
      `cidTo` -
      `objectTo` -
      `dateClose` -
      `dateOpen` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### doSpecificWrapActions

    protected abstract void doSpecificWrapActions​(int newLoginId, java.util.Date dateOpen, java.util.Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### moveLoginData

    protected abstract void moveLoginData​(Login login, int cidFrom, int cidTo) throws java.sql.SQLException
    Перенос наработки логина при его полном переносе.
    Parameters:
      `login` -
      `cidFrom` -
      `cidTo` -
    Throws:
      `java.sql.SQLException`

  - ### wrapLoginData

    protected abstract void wrapLoginData​(Login loginFrom, Login loginTo) throws java.sql.SQLException
    Перенос наработки логина при его переносе с новой даты.
    Parameters:
      `loginFrom` -
      `loginTo` -
    Throws:
      `java.sql.SQLException`

  - ### recalcAfterMove

    public abstract void recalcAfterMove​(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo) throws java.sql.SQLException
    После выполненя различных переносов логинов - переустановка балансов в договорах.
    Parameters:
      `months` -
      `cidFrom` -
      `cidTo` -
    Throws:
      `java.sql.SQLException`

  - ### hasActiveSessions

    public boolean hasActiveSessions​(int loginId)
    Проверка наличия активных сессий логина.
    Parameters:
      `dateFrom` - - дата
    Returns:

  - ### getLoginAliases

    public java.lang.String getLoginAliases​(int lid)

  - ### getContractLogins

    public java.util.List<Login> getContractLogins​(int cid)

  - ### loginsList

    public void loginsList​(org.w3c.dom.Element logins, int cid)

  - ### loginsList

    public void loginsList​(org.w3c.dom.Element logins, int cid, java.util.Date dateFrom, java.util.Date dateTo)

  - ### getLoginTitle

    public java.lang.String getLoginTitle​(int lid)

  - ### updatePassword

    public void updatePassword​(int lid, java.lang.String pswd, int userId)

  - ### updateAttributes

    public final void updateAttributes​(int lid, java.util.List<java.lang.String[]> attributes) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### loadAVPPairs

    public final java.util.Map<java.lang.String,​java.util.List<java.lang.String[]>> loadAVPPairs​(Login login)

  - ### addLogin

    public abstract Login addLogin​(Login login, Preferences moduleSetup)

  - ### updateLogin

    public abstract void updateLogin​(Login login)
    Parameters:
      `login` -

  - ### checkLoginAvailable

    public java.lang.String checkLoginAvailable​(Preferences moduleSetup)

  - ### checkLogin

    public java.lang.String checkLogin​(Login login)

  - ### checkConflictAliases

    public java.lang.String checkConflictAliases​(Login login, java.util.Set<java.lang.String> aliases)

  - ### updateAliases

    public void updateAliases​(int lid, java.util.Set<java.lang.String> aliases)

  - ### getLoginFromResultSet

    protected abstract Login getLoginFromResultSet​(java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### checkAliases

    public abstract java.lang.String checkAliases​(Login login, java.util.Set<java.lang.String> aliases)

  - ### freeResources

    public void freeResources()